> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List offers

> Retrieve a paginated list of offers with powerful filtering options.
    
    Offers represent purchasable configurations of products, including pricing, currency, 
    and subscription settings. A single product can have multiple offers for different 
    pricing tiers or billing intervals.
    Results are sorted by creation date (newest first) by default.



## OpenAPI

````yaml /api-reference/api-docs.yaml get /v0/offers/list
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/offers/list:
    get:
      tags:
        - offers
      summary: List offers
      description: |-
        Retrieve a paginated list of offers with powerful filtering options.
            
            Offers represent purchasable configurations of products, including pricing, currency, 
            and subscription settings. A single product can have multiple offers for different 
            pricing tiers or billing intervals.
            Results are sorted by creation date (newest first) by default.
      operationId: GetV0OffersList
      parameters:
        - name: orderDirection
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterOrderDirection'
        - name: skip
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterSkip'
        - name: take
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterTake'
        - name: archived
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterArchived'
        - name: withArchived
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterWithArchived'
        - name: returnCount
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterReturnCount'
        - name: termOrId
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterTermOrId'
        - name: regions
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterRegions'
        - name: platforms
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterPlatforms'
        - name: minPrice
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterMinPrice'
        - name: maxPrice
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterMaxPrice'
        - name: minAvailability
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterMinAvailability'
        - name: maxAvailability
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterMaxAvailability'
        - name: recurringInterval
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterRecurringInterval'
        - name: recurringIntervalCount
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: >-
              #/components/schemas/GetV0OffersListParameterRecurringIntervalCount
        - name: product
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterProduct'
        - name: tags
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterTags'
        - name: orderBy
          in: query
          required: false
          description: GET /v0/offers/list Parameter
          schema:
            $ref: '#/components/schemas/GetV0OffersListParameterOrderBy'
      responses:
        '200':
          description: GET /v0/offers/list Positive response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OffersListPositiveResponse'
        '400':
          description: GET /v0/offers/list Negative response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetV0OffersListNegativeResponse'
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
components:
  schemas:
    GetV0OffersListParameterOrderDirection:
      type: string
      enum:
        - ASC
        - DESC
    GetV0OffersListParameterSkip:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterTake:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0OffersListParameterWithArchived:
      oneOf:
        - type: string
        - type: boolean
    GetV0OffersListParameterReturnCount:
      oneOf:
        - type: string
        - type: boolean
    GetV0OffersListParameterTermOrId:
      type: string
    GetV0OffersListParameterRegions:
      type: array
      items:
        type: string
        enum:
          - Global
          - Europe
          - Argentina
          - United States
          - Turkey
          - United Kingdom
          - Latin America
          - Brazil
          - Canada
          - Mexico
          - Germany
          - Colombia
          - France
          - Saudi Arabia
          - Australia
          - Spain
          - India
          - Italy
          - Netherlands
          - United Arab Emirates
          - North America
          - Poland
          - Belgium
          - Asia
          - Egypt
          - Austria
          - Singapore
          - EMEA
          - Ireland
          - RU/CIS
          - Sweden
          - Portugal
          - Switzerland
          - New Zealand
          - Malaysia
          - Finland
          - Greece
          - Norway
          - Denmark
          - Japan
          - Hong Kong
          - Philippines
          - Middle East
          - Indonesia
          - Czech Republic
          - South Africa
          - South Korea
          - Luxembourg
          - Slovakia
          - Romania
          - Slovenia
          - Hungary
          - Chile
          - Nigeria
          - Thailand
          - Kuwait
          - Vietnam
          - Rest of the World
          - Bahrain
          - Qatar
    GetV0OffersListParameterPlatforms:
      type: array
      items:
        type: string
        enum:
          - Meta Quest
          - TV
          - Music
          - Tidal
          - Tinder
          - Zalando
          - Razer
          - Netflix
          - Spotify
          - Walmart
          - Amazon
          - Food
          - Prepaid
          - Steam
          - Xbox Live
          - Origin
          - PSN
          - Ubisoft Connect
          - Nintendo
          - Official Website
          - GOG.com
          - Epic Games
          - Windows Store
          - Battle.net
          - Riot Games
          - Steam Gift Card
          - Roblox
          - Green gift
          - EA App
          - Rockstar Games Launcher
          - ArenaNet
          - PUBG
          - App Store
          - Google Play
          - Mobile
          - Other
          - Rockstar
    GetV0OffersListParameterMinPrice:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterMaxPrice:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterMinAvailability:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterMaxAvailability:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterRecurringInterval:
      type: string
      enum:
        - day
        - month
        - week
        - year
    GetV0OffersListParameterRecurringIntervalCount:
      type:
        - number
        - 'null'
      format: double
      minimum: 0
      maximum: 1.7976931348623157e+308
    GetV0OffersListParameterProduct:
      type:
        - object
        - 'null'
      properties:
        id:
          type: string
        ids:
          type: array
          items:
            type: string
            format: uuid
        types:
          type: array
          items:
            type: string
            enum:
              - DigitalDownload
              - Game
              - GiftCard
              - SoftwareKey
              - VirtualCurrency
              - VirtualItem
              - Subscription
              - OneTimePayment
        genres:
          type: array
          items:
            type: string
            enum:
              - Action
              - Action RPG
              - Adventure
              - Arcade
              - Arcade Racing
              - Battle Royale
              - Beat 'em up
              - Board Game
              - Card Game
              - Casual
              - Co-op
              - Educational
              - Fighting
              - FPS
              - Horror
              - Indie
              - Interactive Story
              - Japanese RPG
              - Logic Game
              - MMO
              - Management
              - Metroidvania
              - Mini-games
              - Multiplayer
              - Open World
              - Party
              - Platformer
              - Puzzle
              - RPG
              - Racing
              - Real-Time Strategy
              - Roguelike
              - Rhythm
              - Sandbox
              - Shooter
              - Simulation
              - Simulation Racing
              - Sports
              - Strategy
              - Survival
              - Tactical RPG
              - TPS
              - Turn-Based Strategy
              - Visual Novel
              - Point & Click
              - Interactive Fiction
              - Hidden Object
        systems:
          type: array
          items:
            type: string
            enum:
              - Windows
              - MacOs
              - Linux
              - PlayStation 4
              - PlayStation 5
              - Xbox One
              - Xbox Series X|S
              - iOS
              - Android
              - Nintendo Switch
              - Nintendo 3DS
    GetV0OffersListParameterTags:
      type: array
      items:
        type: string
    GetV0OffersListParameterOrderBy:
      type: string
      enum:
        - createdAt
        - name
        - price
    GetV0OffersListPositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            offers:
              type: array
              items:
                type: object
                properties:
                  object:
                    type: string
                    enum:
                      - offer
                    default: offer
                  id:
                    type: string
                    format: uuid
                  internalId:
                    type:
                      - string
                      - 'null'
                    default: null
                  price:
                    type: number
                    format: double
                    minimum: -1.7976931348623157e+308
                    maximum: 1.7976931348623157e+308
                  originalPrice:
                    type:
                      - number
                      - 'null'
                    format: double
                    minimum: -1.7976931348623157e+308
                    maximum: 1.7976931348623157e+308
                    default: null
                  recurringInterval:
                    type:
                      - string
                      - 'null'
                    enum:
                      - day
                      - month
                      - week
                      - year
                    default: null
                  recurringIntervalCount:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: null
                  trialInterval:
                    type:
                      - string
                      - 'null'
                    enum:
                      - day
                      - month
                      - week
                      - year
                    default: null
                  trialIntervalCount:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: null
                  currency:
                    type: string
                    enum:
                      - AFN
                      - ALL
                      - DZD
                      - AOA
                      - ARS
                      - AMD
                      - AWG
                      - AUD
                      - AZN
                      - BSD
                      - BDT
                      - BBD
                      - BZD
                      - BMD
                      - BOB
                      - BAM
                      - BWP
                      - BRL
                      - BHD
                      - GBP
                      - BND
                      - BGN
                      - BIF
                      - BYN
                      - KHR
                      - CAD
                      - CVE
                      - KYD
                      - KWD
                      - XAF
                      - XPF
                      - CLP
                      - CNY
                      - COP
                      - KMF
                      - CDF
                      - CRC
                      - HRK
                      - CZK
                      - DKK
                      - DJF
                      - DOP
                      - XCD
                      - EGP
                      - ETB
                      - EUR
                      - FKP
                      - FJD
                      - GMD
                      - GEL
                      - GIP
                      - GTQ
                      - GNF
                      - GYD
                      - HTG
                      - HNL
                      - HKD
                      - HUF
                      - ISK
                      - INR
                      - IDR
                      - ILS
                      - JMD
                      - JPY
                      - JOD
                      - KZT
                      - KES
                      - KGS
                      - LAK
                      - LBP
                      - LSL
                      - LRD
                      - MOP
                      - MKD
                      - MGA
                      - MWK
                      - MYR
                      - MVR
                      - MRO
                      - MUR
                      - MXN
                      - MDL
                      - MNT
                      - MAD
                      - MZN
                      - MMK
                      - NAD
                      - NPR
                      - ANG
                      - TWD
                      - NZD
                      - NIO
                      - NGN
                      - NOK
                      - OMR
                      - PKR
                      - PAB
                      - PGK
                      - PYG
                      - PEN
                      - PHP
                      - PLN
                      - QAR
                      - RON
                      - RUB
                      - RWF
                      - SHP
                      - SVC
                      - WST
                      - STD
                      - SAR
                      - RSD
                      - SCR
                      - SLL
                      - SGD
                      - SBD
                      - SOS
                      - ZAR
                      - KRW
                      - LKR
                      - SRD
                      - SZL
                      - SEK
                      - CHF
                      - TJS
                      - TZS
                      - THB
                      - TND
                      - TOP
                      - TTD
                      - TRY
                      - UGX
                      - UAH
                      - AED
                      - UYU
                      - USD
                      - UZS
                      - VUV
                      - VEF
                      - VND
                      - XOF
                      - YER
                      - ZMW
                      - SLE
                      - XCG
                      - SSP
                      - VES
                      - MRU
                      - STN
                      - VED
                  limit:
                    type:
                      - integer
                      - 'null'
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: null
                  soldItems:
                    type: integer
                    format: int64
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                    default: 0
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - OPEN
                      - CLOSED
                      - SOLD
                    default: DRAFT
                  name:
                    type:
                      - string
                      - 'null'
                    default: null
                  description:
                    type:
                      - string
                      - 'null'
                    default: null
                  region:
                    type:
                      - string
                      - 'null'
                    enum:
                      - Global
                      - Europe
                      - Argentina
                      - United States
                      - Turkey
                      - United Kingdom
                      - Latin America
                      - Brazil
                      - Canada
                      - Mexico
                      - Germany
                      - Colombia
                      - France
                      - Saudi Arabia
                      - Australia
                      - Spain
                      - India
                      - Italy
                      - Netherlands
                      - United Arab Emirates
                      - North America
                      - Poland
                      - Belgium
                      - Asia
                      - Egypt
                      - Austria
                      - Singapore
                      - EMEA
                      - Ireland
                      - RU/CIS
                      - Sweden
                      - Portugal
                      - Switzerland
                      - New Zealand
                      - Malaysia
                      - Finland
                      - Greece
                      - Norway
                      - Denmark
                      - Japan
                      - Hong Kong
                      - Philippines
                      - Middle East
                      - Indonesia
                      - Czech Republic
                      - South Africa
                      - South Korea
                      - Luxembourg
                      - Slovakia
                      - Romania
                      - Slovenia
                      - Hungary
                      - Chile
                      - Nigeria
                      - Thailand
                      - Kuwait
                      - Vietnam
                      - Rest of the World
                      - Bahrain
                      - Qatar
                    default: null
                  platform:
                    type:
                      - string
                      - 'null'
                    enum:
                      - Meta Quest
                      - TV
                      - Music
                      - Tidal
                      - Tinder
                      - Zalando
                      - Razer
                      - Netflix
                      - Spotify
                      - Walmart
                      - Amazon
                      - Food
                      - Prepaid
                      - Steam
                      - Xbox Live
                      - Origin
                      - PSN
                      - Ubisoft Connect
                      - Nintendo
                      - Official Website
                      - GOG.com
                      - Epic Games
                      - Windows Store
                      - Battle.net
                      - Riot Games
                      - Steam Gift Card
                      - Roblox
                      - Green gift
                      - EA App
                      - Rockstar Games Launcher
                      - ArenaNet
                      - PUBG
                      - App Store
                      - Google Play
                      - Mobile
                      - Other
                      - Rockstar
                    default: null
                  gtin:
                    type:
                      - string
                      - 'null'
                    default: null
                  warningMessage:
                    type:
                      - string
                      - 'null'
                    default: null
                required:
                  - id
                  - price
                  - currency
            count:
              type:
                - number
                - 'null'
              format: double
              minimum: -1.7976931348623157e+308
              maximum: 1.7976931348623157e+308
          required:
            - offers
            - count
      required:
        - status
        - data
    GetV0OffersListNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key

````